[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedPortableAnyMapGraphic

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedPortableAnyMapGraphic - a reference counted shared PNM.

## Declaration

Source position: graphics.pp line 1520

`type TSharedPortableAnyMapGraphic = class(TSharedCustomBitmap)`

## Inheritance

`TSharedPortableAnyMapGraphic` |  | TSharedPortableAnyMapGraphic - a reference counted shared PNM.
`TSharedCustomBitmap` |  | Implements the base class for a reference-counted shared image.
`TSharedRasterImage` |  | Implements a reference counted raster image that may be shared between controls.
`TSharedImage` |  | Specifies the base class for reference-counted shared images.
`TObject`

## See also

TSharedCustomBitmap |  | Implements the base class for a reference-counted shared image.